<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hospital',

    /*
     * Package.
     */
    'package'   => 'doctor',

    /*
     * Modules.
     */
    'modules'   => ['doctor'],

    
    'doctor'       => [
        'model' => [
            'model'                 => \Hospital\Doctor\Models\Doctor::class,
            'table'                 => 'doctors',
            'presenter'             => \Hospital\Doctor\Repositories\Presenter\DoctorPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'clinic_id',  'department_id',  'name',  'name_arabic',  'qualification',  'qualification_arabic',  'specialization',  'specialization_arabic',  'image',  'email',  'contactno',  'address',  'biography',  'timing',  'slug',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'doctor/doctor',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hospital',
            'package'   => 'Doctor',
            'module'    => 'Doctor',
        ],

    ],
];
