<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDoctorsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: doctors
         */
        Schema::create('doctors', function ($table) {
            $table->increments('id');
            $table->integer('clinic_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('name_arabic', 255)->nullable();
            $table->string('qualification', 255)->nullable();
            $table->string('qualification_arabic', 255)->nullable();
            $table->string('specialization', 255)->nullable();
            $table->string('specialization_arabic', 255)->nullable();
            $table->text('image')->nullable();
            $table->string('email', 255)->nullable();
            $table->string('contactno', 255)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('biography', 255)->nullable();
            $table->string('timing', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('doctors');
    }
}
