<?php

namespace Hospital;

use DB;
use Illuminate\Database\Seeder;

class DoctorTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('doctors')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'doctor.doctor.view',
                'name'      => 'View Doctor',
            ],
            [
                'slug'      => 'doctor.doctor.create',
                'name'      => 'Create Doctor',
            ],
            [
                'slug'      => 'doctor.doctor.edit',
                'name'      => 'Update Doctor',
            ],
            [
                'slug'      => 'doctor.doctor.delete',
                'name'      => 'Delete Doctor',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/doctor/doctor',
                'name'        => 'Doctor',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/doctor/doctor',
                'name'        => 'Doctor',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'doctor',
                'name'        => 'Doctor',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Doctor',
                'module'    => 'Doctor',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'doctor.doctor.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
