<?php

namespace Hospital\Doctor;

use User;

class Doctor
{
    /**
     * $doctor object.
     */
    protected $doctor;

    /**
     * Constructor.
     */
    public function __construct(\Hospital\Doctor\Interfaces\DoctorRepositoryInterface $doctor)
    {
        $this->doctor = $doctor;
    }

    /**
     * Returns count of doctor.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.doctor.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->doctor->pushCriteria(new \Litepie\Hospital\Repositories\Criteria\DoctorUserCriteria());
        }

        $doctor = $this->doctor->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('doctor::' . $view, compact('doctor'))->render();
    }
}
