<?php

namespace Hospital\Doctor\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DoctorTransformer extends TransformerAbstract
{
    public function transform(\Hospital\Doctor\Models\Doctor $doctor)
    {
        return [
            'id'                => $doctor->getRouteKey(),
            'key'               => [
                'public'    => $doctor->getPublicKey(),
                'route'     => $doctor->getRouteKey(),
            ], 
            'id'                => $doctor->id,
            'clinic_id'         => $doctor->clinic_id,
            'department_id'     => $doctor->department_id,
            'name'              => $doctor->name,
            'name_arabic'       => $doctor->name_arabic,
            'qualification'     => $doctor->qualification,
            'qualification_arabic' => $doctor->qualification_arabic,
            'specialization'    => $doctor->specialization,
            'specialization_arabic' => $doctor->specialization_arabic,
            'image'             => $doctor->image,
            'email'             => $doctor->email,
            'contactno'         => $doctor->contactno,
            'address'           => $doctor->address,
            'biography'         => $doctor->biography,
            'timing'            => $doctor->timing,
            'slug'              => $doctor->slug,
            'status'            => $doctor->status,
            'created_at'        => $doctor->created_at,
            'updated_at'        => $doctor->updated_at,
            'deleted_at'        => $doctor->deleted_at,
            'url'               => [
                'public'    => trans_url('doctor/'.$doctor->getPublicKey()),
                'user'      => guard_url('doctor/doctor/'.$doctor->getRouteKey()),
            ], 
            'status'            => trans('app.'.$doctor->status),
            'created_at'        => format_date($doctor->created_at),
            'updated_at'        => format_date($doctor->updated_at),
        ];
    }
}